Name: nm-sysvinit
Version: 0.2
Release: alt1

Summary: Create the _nmconnect system group and add the first user
License: public domain
Group: System/Configuration/Hardware

Url: http://altlinux.org/sysvinit
Source90: nm-group
Packager: Yury Pakin <zxwarior@yandex.ru>

BuildArch: noarch
AutoReqProv: no
Requires: polkit

%define initdir %_sysconfdir/rc.d/init.d

%description
%summary
on SysVinit-based systems.

%prep

%install
mkdir -p %buildroot%initdir
install -pm755 %SOURCE90 %buildroot%initdir


%files
%initdir/*


%post
if [ $1 -eq 1 ]; then
        /sbin/chkconfig --add nm-group
fi


%preun
if [ $1 -eq 0 ]; then
        /sbin/chkconfig --del nm-group
fi



%changelog
* Mon Jun 06 2017 Yury Pakin <zxwarior@yandex.ru> 0.2-alt1
- After adding to the group the service turns itself off

* Mon Jun 05 2017 Yury Pakin <zxwarior@yandex.ru> 0.1-alt1
- Added LSB header to init script

* Mon Jun 05 2017 Yury Pakin <zxwarior@yandex.ru> 0.1-alt0
- Creating a system group _nmconnect and adding a user to it
  (first release, thx Daniil Golovanov)
